Bug 113472 - [NEW PORT] devel/papi Gather CPU performance information
[NEW PORT] devel/papi Gather CPU performance information
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Vanilla I. Shu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 08:40 UTC by redcrash
Modified: 2007-06-13 22:30 UTC (History)
0 users

See Also:


Attachments
file.txt (11.97 KB, text/plain)
2007-06-08 08:40 UTC, redcrash
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description redcrash 2007-06-08 08:40:01 UTC
PAPI aims to provide the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events.

Fix: Patch attached with submission follows:
Comment 1 Vanilla I. Shu freebsd_committer 2007-06-09 02:20:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

I will handle this one.
Comment 2 dfilter freebsd_committer 2007-06-13 22:26:26 UTC
vanilla     2007-06-13 21:26:19 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/papi           Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add papi 3.5.0, API to access the performance counter hw in the
  microprocessor.
  
  PR:             ports/113472
  Submitted by:   redcrash at gmail.com
  
  Revision  Changes    Path
  1.2783    +1 -0      ports/devel/Makefile
  1.1       +272 -0    ports/devel/papi/Makefile (new)
  1.1       +3 -0      ports/devel/papi/distinfo (new)
  1.1       +6 -0      ports/devel/papi/pkg-descr (new)
  1.1       +102 -0    ports/devel/papi/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Vanilla I. Shu freebsd_committer 2007-06-13 22:27:30 UTC
State Changed
From-To: open->closed

Committed, thanks.